DF(1V)

NAME
df - report free disk space on file systems

SYNOPSIS
df [ -a ] [ -i ] [ -t type ] [ filesystem... ] [ filename... ]

SYSTEM V SYNOPSIS
/usr/5bin/df [ -t ] [ filesystem... ] [ filename... ]

AVAILABILITY
The System V version of this command is available with the System V software installation option. Refer to for information on how to install optional software.

DESCRIPTION

df displays the amount of disk space occupied by currently mounted file systems, the amount of used and available space, and how much of the file system's total capacity has been used. Used without arguments, df reports on all mounted file systems, producing something like:

    example% df
    Filesystem	kbytes	used	avail	capacity	Mounted on
    /dev/ip0a	 7445	 4714	1986	70%		/
    /dev/ip0g	42277	35291	2758	93%		/usr

Note: used+avail is less than the amount of space in the file system (kbytes); this is because the system reserves a fraction of the space in the file system to allow its file system allocation routines to work well. The amount reserved is typically about 10%; this may be adjusted using tunefs(8). When all the space on a file system except for this reserve is in use, only the super-user can allocate new files and data blocks to existing files. When a file system is overallocated in this way, df may report that the file system is more than 100% utilized.

If arguments to df are disk partitions (for example, /dev/ip0as or path names, df produces a report on the file system containing the named file. Thus `df .' shows the amount of space on the file system containing the current directory.

SYSTEM V DESCRIPTION

The System V version of df works in the same manner as above but prints only the amount of available space (in 512 byte units) and the number of free inodes.

OPTIONS

-a  Report on all filesystems including the uninteresting ones which have zero total blocks. (that is, automounter)

-i  Report the number of used and free inodes. Print `*' if no information is available.

-t type
    Report on filesystems of a given type (for example, nfs or 4.2).

SYSTEM V OPTIONS

-t  Report the total allocated space figures.

FILES
/etc/mtab
    List of filesystems currently mounted.

SEE ALSO
du(1V), mtab(5), quot(8), tunefs(8)